from django.core.validators import (
    MaxValueValidator,
    MinLengthValidator,
    MinValueValidator,
)
from django.db import models

# Create your models here.


class OngoingTimer(models.Model):
    name = models.CharField(
        max_length=64,
        verbose_name="Název",
        validators=[MinLengthValidator(limit_value=1)],
    )

    hours = models.IntegerField(
        verbose_name="Hodiny", validators=[MinValueValidator(limit_value=0)]
    )

    minutes = models.IntegerField(
        verbose_name="Minuty",
        validators=[
            MinValueValidator(limit_value=0),
            MaxValueValidator(limit_value=60),
        ],
    )

    seconds = models.IntegerField(
        verbose_name="Minuty",
        validators=[
            MinValueValidator(limit_value=0),
            MaxValueValidator(limit_value=60),
        ],
    )
